<?php
namespace Teknisa\PLA\Modules\Cardapio\Services;

use Teknisa\GER\Modules\Cardapio\Controllers\TeknisaCrud;
use Doctrine\ORM\EntityManager;

class Pla68000ExportacaoDeCardapioComListaSubstituicaoService {

    protected $connection;
    protected $environment;

    public function __construct($connection,$environment) {
        $this->connection = $connection;
        $this->environment = $environment;
    }
    
    public function deleteLog($logs) {
        $query = "DELETE FROM LOGINTCARD WHERE (INSTR(:NRLOGINTCARD, NRLOGINTCARD) <> 0)";
        $arrayLogs = array();
        foreach($logs as $log){
           if($log['P_NRLOGINTCARD'] != null)
                array_push($arrayLogs,$log['P_NRLOGINTCARD']);
        }
        $logsSTR = implode("_",$arrayLogs);
        $params = array(
            "NRLOGINTCARD" => $logsSTR
            );
        
        $sql = $this->connection->prepare($query);
        $sql->execute($params);
    }
}